package com.jxy.marketall.service;


import com.jxy.common.core.web.Result.AjaxResult;
import com.jxy.marketall.vo.*;

import java.sql.SQLException;


/**
 * @Description 留言板service
 * @Date 2022/5/19 17:40
 * @Author 杜懿
 */
public interface MessageService {

    public boolean submitMsg(SubmitMsgVo vo) throws SQLException;

    public AjaxResult getAllMsg(AllMsgVo vo);

    public AjaxResult getDailyMsgCount(QueryVo vo);

    public AjaxResult responMsg(ResponMsgVo vo);

    public AjaxResult getPrivateMsg(PrivateMsgVo vo);

    public AjaxResult getPageMsg(PageMsgVo vo);

    public AjaxResult getPageDetail(PageMsgVo vo);

    public AjaxResult changePageChooseByUser(PageCommentVo vo);
}
